package com.javahonk.javatoxml;

import java.io.StringWriter;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.namespace.QName;

import com.javahonk.AddressType;
import com.javahonk.CompanyType;
import com.javahonk.EmployeeType;
import com.javahonk.ObjectFactory;

public class JavaToXML {
	
	private static final ObjectFactory objectFactory = new ObjectFactory();

	public static void main(String[] args) throws JAXBException {
		
		CompanyType companyType = objectFactory.createCompanyType();
		EmployeeType employeeType = objectFactory.createEmployeeType();
		AddressType addressType = objectFactory.createAddressType();
		
		addressType.setCity("NY");
		addressType.setState("ny");
		addressType.setZip("10056");
		
		employeeType.setAddress(addressType);
		employeeType.setContactNo("23654");
		employeeType.setEmail("javahonk@javahonk.com");
		employeeType.setFirstName("Java");
		employeeType.setLastName("Honk");
		
		companyType.setEmployee(employeeType);
		
		JAXBContext jaxbContext = JAXBContext.newInstance("com.javahonk");
		Marshaller jaxbMarshaller = jaxbContext.createMarshaller();
		jaxbMarshaller.setProperty( Marshaller.JAXB_FORMATTED_OUTPUT, Boolean.TRUE );
		
		JAXBElement<CompanyType> jaxbElement = new JAXBElement<CompanyType>(new QName("Company"), CompanyType.class, companyType);
		
		StringWriter sw = new StringWriter();
		
		jaxbMarshaller.marshal(jaxbElement, sw);
		jaxbMarshaller.marshal(jaxbElement, System.out );

	}

}
